module PersonalResearch
  class Engine < Rails::Engine
  	initializer "personal_research" do
  		OrbitApp.registration "PersonalResearch",:type=> 'ModuleApp' do
			module_label 'module_name.personal_research'
			base_url File.expand_path File.dirname(__FILE__)   
			personal_plugin :enable => true, :sort_number => '20', :app_name=>"Research", :intro_app_name=>"PersonalResearchIntro",:path=>"panel/personal_research/plugin/profile",:front_path=>"panel/personal_research/front_end/profile",:admin_path=>"/panel/personal_research/back_end/researchs",:i18n=>'module_name.personal_research'

			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'researchs' do 
			    frontend_i18n "personal_research.frontend.researchs"
			  end
			end
		end
  	end
  end
end
